%module SyFi
%{
#include <SyFi.h>
%}

%feature("autodoc", "1");

%include std_string.i

	
%include tools.h
%include Polygon.h 
%include FE.h
%include LagrangeFE.h
%include Dof.h
%include CrouzeixRaviart.h
%include P0.h
%include ElementComputations.h
%include SimpleMesh.h



namespace GiNaC{ 
  class exvector{};
}

%extend GiNaC::exvector {
  void append(GiNaC::ex& e) {
    self->insert(self->end(), e); 
  }
  GiNaC::ex& __getitem__(int i) { 
    return (*self)[i]; 
  }
   
}; 

