#include <P0.h>

void P0:: compute_basis_functions() {
  // insert basis function
  Ns.insert(Ns.end(), GiNaC::numeric(1)); 

  // create and insert dof
  GiNaC::ex midpoint; 
  for (int i=1; i<= p->no_vertices(); i++) {   
    midpoint += p->vertex(i-1);
  }
  midpoint /= p->no_vertices(); 
  dofs.insert(dofs.end(), midpoint); 
}
