# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _SyFi

def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name) or (name == "thisown"):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types



def cross(*args):
    """cross(GiNaC::lst v1, GiNaC::lst v2) -> GiNaC::lst"""
    return _SyFi.cross(*args)

def pol(*args):
    """pol(int order, int nsd, string a) -> GiNaC::ex"""
    return _SyFi.pol(*args)

def polv(*args):
    """polv(int order, int nsd, string a) -> GiNaC::lst"""
    return _SyFi.polv(*args)

def polb(*args):
    """polb(int order, int nsd, string a) -> GiNaC::ex"""
    return _SyFi.polb(*args)

def matvec(*args):
    """matvec(GiNaC::matrix M, GiNaC::lst x) -> GiNaC::lst"""
    return _SyFi.matvec(*args)

def coeff(*args):
    """coeff(GiNaC::ex pol) -> exvector"""
    return _SyFi.coeff(*args)

def pol2basisandcoeff(*args):
    """pol2basisandcoeff(GiNaC::ex e) -> ex_ex_map"""
    return _SyFi.pol2basisandcoeff(*args)

def grad(*args):
    """grad(GiNaC::ex f) -> GiNaC::ex"""
    return _SyFi.grad(*args)

def dirac(*args):
    """dirac(int i, int j) -> int"""
    return _SyFi.dirac(*args)

def ex2equations(*args):
    """ex2equations(GiNaC::ex rel) -> GiNaC::lst"""
    return _SyFi.ex2equations(*args)

def collapse(*args):
    """collapse(GiNaC::lst l) -> GiNaC::lst"""
    return _SyFi.collapse(*args)

def equations2matrix(*args):
    """equations2matrix(GiNaC::ex eqns, GiNaC::ex symbols) -> GiNaC::matrix"""
    return _SyFi.equations2matrix(*args)

def lst_equals(*args):
    """lst_equals(GiNaC::ex a, GiNaC::ex b) -> GiNaC::lst"""
    return _SyFi.lst_equals(*args)

def lst_to_matrix2(*args):
    """lst_to_matrix2(GiNaC::lst l) -> GiNaC::ex"""
    return _SyFi.lst_to_matrix2(*args)

def matrix_to_lst2(*args):
    """matrix_to_lst2(GiNaC::ex m) -> GiNaC::lst"""
    return _SyFi.matrix_to_lst2(*args)

def find(*args):
    """find(GiNaC::ex e, GiNaC::lst list) -> int"""
    return _SyFi.find(*args)

def check_visitor(*args):
    """check_visitor(GiNaC::ex e, GiNaC::lst exlist)"""
    return _SyFi.check_visitor(*args)

def visitor_subst_pow(*args):
    """visitor_subst_pow(GiNaC::ex e, ex_ex_map map, ex_int_map intmap, string a)"""
    return _SyFi.visitor_subst_pow(*args)

def istr(*args):
    """istr(string a, int b) -> string"""
    return _SyFi.istr(*args)

def compare(*args):
    """compare(GiNaC::ex e, string s) -> bool"""
    return _SyFi.compare(*args)

def EQUAL_OR_DIE(*args):
    """EQUAL_OR_DIE(GiNaC::ex e, char s)"""
    return _SyFi.EQUAL_OR_DIE(*args)

def matrix_from_equations(*args):
    """
    matrix_from_equations(GiNaC::ex eqns, GiNaC::ex symbols, GiNaC::matrix A, 
        GiNaC::matrix b)
    """
    return _SyFi.matrix_from_equations(*args)
SUBS_PERFORMED = _SyFi.SUBS_PERFORMED
SUBS_NOT_PERFORMED = _SyFi.SUBS_NOT_PERFORMED
class Polygon(_object):
    """Proxy of C++ Polygon class"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Polygon, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Polygon, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Polygon instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["subscript"] = _SyFi.Polygon_subscript_set
    __swig_getmethods__["subscript"] = _SyFi.Polygon_subscript_get
    if _newclass:subscript = property(_SyFi.Polygon_subscript_get, _SyFi.Polygon_subscript_set)
    __swig_setmethods__["p"] = _SyFi.Polygon_p_set
    __swig_getmethods__["p"] = _SyFi.Polygon_p_get
    if _newclass:p = property(_SyFi.Polygon_p_get, _SyFi.Polygon_p_set)
    def __init__(self, *args):
        """__init__(self) -> Polygon"""
        _swig_setattr(self, Polygon, 'this', _SyFi.new_Polygon(*args))
        _swig_setattr(self, Polygon, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Polygon):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.Polygon_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.Polygon_vertex(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.Polygon_integrate(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.Polygon_str(*args)


class PolygonPtr(Polygon):
    def __init__(self, this):
        _swig_setattr(self, Polygon, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Polygon, 'thisown', 0)
        _swig_setattr(self, Polygon,self.__class__,Polygon)
_SyFi.Polygon_swigregister(PolygonPtr)
cvar = _SyFi.cvar

def inner(*args):
    """
    inner(GiNaC::ex a, GiNaC::ex b, bool transposed=False) -> GiNaC::ex
    inner(GiNaC::ex a, GiNaC::ex b) -> GiNaC::ex
    inner(exvector v1, exvector v2) -> GiNaC::ex
    inner(GiNaC::lst v1, GiNaC::lst v2) -> GiNaC::ex
    """
    return _SyFi.inner(*args)

def coeffs(*args):
    """
    coeffs(GiNaC::ex pol) -> GiNaC::lst
    coeffs(GiNaC::lst pols) -> GiNaC::lst
    """
    return _SyFi.coeffs(*args)

def div(*args):
    """
    div(exvector v) -> GiNaC::ex
    div(GiNaC::lst v) -> GiNaC::ex
    div(GiNaC::ex v) -> GiNaC::ex
    """
    return _SyFi.div(*args)

class Line(Polygon):
    """Proxy of C++ Line class"""
    __swig_setmethods__ = {}
    for _s in [Polygon]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Line, name, value)
    __swig_getmethods__ = {}
    for _s in [Polygon]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Line, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Line instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self) -> Line
        __init__(self, GiNaC::ex x0, GiNaC::ex x1, string subscript="") -> Line
        __init__(self, GiNaC::ex x0, GiNaC::ex x1) -> Line
        """
        _swig_setattr(self, Line, 'this', _SyFi.new_Line(*args))
        _swig_setattr(self, Line, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Line):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.Line_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.Line_vertex(*args)

    def repr(*args): 
        """
        repr(self, GiNaC::ex t, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        repr(self, GiNaC::ex t) -> GiNaC::ex
        """
        return _SyFi.Line_repr(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.Line_str(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.Line_integrate(*args)


class LinePtr(Line):
    def __init__(self, this):
        _swig_setattr(self, Line, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Line, 'thisown', 0)
        _swig_setattr(self, Line,self.__class__,Line)
_SyFi.Line_swigregister(LinePtr)

class ReferenceLine(Line):
    """Proxy of C++ ReferenceLine class"""
    __swig_setmethods__ = {}
    for _s in [Line]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, ReferenceLine, name, value)
    __swig_getmethods__ = {}
    for _s in [Line]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, ReferenceLine, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ ReferenceLine instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self, string subscript="") -> ReferenceLine
        __init__(self) -> ReferenceLine
        """
        _swig_setattr(self, ReferenceLine, 'this', _SyFi.new_ReferenceLine(*args))
        _swig_setattr(self, ReferenceLine, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_ReferenceLine):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.ReferenceLine_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.ReferenceLine_vertex(*args)

    def repr(*args): 
        """
        repr(self, GiNaC::ex t, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        repr(self, GiNaC::ex t) -> GiNaC::ex
        """
        return _SyFi.ReferenceLine_repr(*args)

    def a(*args): 
        """a(self) -> GiNaC::ex"""
        return _SyFi.ReferenceLine_a(*args)

    def b(*args): 
        """b(self) -> GiNaC::ex"""
        return _SyFi.ReferenceLine_b(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.ReferenceLine_str(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.ReferenceLine_integrate(*args)


class ReferenceLinePtr(ReferenceLine):
    def __init__(self, this):
        _swig_setattr(self, ReferenceLine, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, ReferenceLine, 'thisown', 0)
        _swig_setattr(self, ReferenceLine,self.__class__,ReferenceLine)
_SyFi.ReferenceLine_swigregister(ReferenceLinePtr)

class Triangle(Polygon):
    """Proxy of C++ Triangle class"""
    __swig_setmethods__ = {}
    for _s in [Polygon]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Triangle, name, value)
    __swig_getmethods__ = {}
    for _s in [Polygon]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Triangle, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Triangle instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self, GiNaC::ex x0, GiNaC::ex x1, GiNaC::ex x1, string subscript="") -> Triangle
        __init__(self, GiNaC::ex x0, GiNaC::ex x1, GiNaC::ex x1) -> Triangle
        __init__(self) -> Triangle
        """
        _swig_setattr(self, Triangle, 'this', _SyFi.new_Triangle(*args))
        _swig_setattr(self, Triangle, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Triangle):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.Triangle_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.Triangle_vertex(*args)

    def line(*args): 
        """line(self, int i) -> Line"""
        return _SyFi.Triangle_line(*args)

    def repr(*args): 
        """
        repr(self, Repr_format ??=SUBS_PERFORMED) -> GiNaC::ex
        repr(self) -> GiNaC::ex
        """
        return _SyFi.Triangle_repr(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.Triangle_str(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.Triangle_integrate(*args)


class TrianglePtr(Triangle):
    def __init__(self, this):
        _swig_setattr(self, Triangle, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Triangle, 'thisown', 0)
        _swig_setattr(self, Triangle,self.__class__,Triangle)
_SyFi.Triangle_swigregister(TrianglePtr)

class ReferenceTriangle(Triangle):
    """Proxy of C++ ReferenceTriangle class"""
    __swig_setmethods__ = {}
    for _s in [Triangle]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, ReferenceTriangle, name, value)
    __swig_getmethods__ = {}
    for _s in [Triangle]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, ReferenceTriangle, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ ReferenceTriangle instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self, string subscript="") -> ReferenceTriangle
        __init__(self) -> ReferenceTriangle
        """
        _swig_setattr(self, ReferenceTriangle, 'this', _SyFi.new_ReferenceTriangle(*args))
        _swig_setattr(self, ReferenceTriangle, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_ReferenceTriangle):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.ReferenceTriangle_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.ReferenceTriangle_vertex(*args)

    def line(*args): 
        """line(self, int i) -> Line"""
        return _SyFi.ReferenceTriangle_line(*args)

    def repr(*args): 
        """
        repr(self, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        repr(self) -> GiNaC::ex
        """
        return _SyFi.ReferenceTriangle_repr(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.ReferenceTriangle_str(*args)

    def integrate(*args): 
        """integrate(self, GiNaC::ex f) -> GiNaC::ex"""
        return _SyFi.ReferenceTriangle_integrate(*args)


class ReferenceTrianglePtr(ReferenceTriangle):
    def __init__(self, this):
        _swig_setattr(self, ReferenceTriangle, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, ReferenceTriangle, 'thisown', 0)
        _swig_setattr(self, ReferenceTriangle,self.__class__,ReferenceTriangle)
_SyFi.ReferenceTriangle_swigregister(ReferenceTrianglePtr)

class Tetrahedron(Polygon):
    """Proxy of C++ Tetrahedron class"""
    __swig_setmethods__ = {}
    for _s in [Polygon]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, Tetrahedron, name, value)
    __swig_getmethods__ = {}
    for _s in [Polygon]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, Tetrahedron, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Tetrahedron instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self, string subscript) -> Tetrahedron
        __init__(self, GiNaC::ex x0, GiNaC::ex x1, GiNaC::ex x1, GiNaC::ex x2, 
            string subscript="") -> Tetrahedron
        __init__(self, GiNaC::ex x0, GiNaC::ex x1, GiNaC::ex x1, GiNaC::ex x2) -> Tetrahedron
        """
        _swig_setattr(self, Tetrahedron, 'this', _SyFi.new_Tetrahedron(*args))
        _swig_setattr(self, Tetrahedron, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Tetrahedron):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.Tetrahedron_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.Tetrahedron_vertex(*args)

    def line(*args): 
        """line(self, int i) -> Line"""
        return _SyFi.Tetrahedron_line(*args)

    def triangle(*args): 
        """triangle(self, int i) -> Triangle"""
        return _SyFi.Tetrahedron_triangle(*args)

    def repr(*args): 
        """
        repr(self, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        repr(self) -> GiNaC::ex
        """
        return _SyFi.Tetrahedron_repr(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.Tetrahedron_str(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.Tetrahedron_integrate(*args)


class TetrahedronPtr(Tetrahedron):
    def __init__(self, this):
        _swig_setattr(self, Tetrahedron, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Tetrahedron, 'thisown', 0)
        _swig_setattr(self, Tetrahedron,self.__class__,Tetrahedron)
_SyFi.Tetrahedron_swigregister(TetrahedronPtr)

class ReferenceTetrahedron(Tetrahedron):
    """Proxy of C++ ReferenceTetrahedron class"""
    __swig_setmethods__ = {}
    for _s in [Tetrahedron]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, ReferenceTetrahedron, name, value)
    __swig_getmethods__ = {}
    for _s in [Tetrahedron]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, ReferenceTetrahedron, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ ReferenceTetrahedron instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """
        __init__(self, string subscript="") -> ReferenceTetrahedron
        __init__(self) -> ReferenceTetrahedron
        """
        _swig_setattr(self, ReferenceTetrahedron, 'this', _SyFi.new_ReferenceTetrahedron(*args))
        _swig_setattr(self, ReferenceTetrahedron, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_ReferenceTetrahedron):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_vertices(*args): 
        """no_vertices(self) -> int"""
        return _SyFi.ReferenceTetrahedron_no_vertices(*args)

    def vertex(*args): 
        """vertex(self, int i) -> GiNaC::ex"""
        return _SyFi.ReferenceTetrahedron_vertex(*args)

    def line(*args): 
        """line(self, int i) -> Line"""
        return _SyFi.ReferenceTetrahedron_line(*args)

    def triangle(*args): 
        """triangle(self, int i) -> Triangle"""
        return _SyFi.ReferenceTetrahedron_triangle(*args)

    def repr(*args): 
        """
        repr(self, Repr_format format=SUBS_PERFORMED) -> GiNaC::ex
        repr(self) -> GiNaC::ex
        """
        return _SyFi.ReferenceTetrahedron_repr(*args)

    def str(*args): 
        """str(self) -> string"""
        return _SyFi.ReferenceTetrahedron_str(*args)

    def integrate(*args): 
        """
        integrate(self, GiNaC::ex f, Repr_format ??=SUBS_PERFORMED) -> GiNaC::ex
        integrate(self, GiNaC::ex f) -> GiNaC::ex
        """
        return _SyFi.ReferenceTetrahedron_integrate(*args)


class ReferenceTetrahedronPtr(ReferenceTetrahedron):
    def __init__(self, this):
        _swig_setattr(self, ReferenceTetrahedron, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, ReferenceTetrahedron, 'thisown', 0)
        _swig_setattr(self, ReferenceTetrahedron,self.__class__,ReferenceTetrahedron)
_SyFi.ReferenceTetrahedron_swigregister(ReferenceTetrahedronPtr)


def barycenter_line(*args):
    """barycenter_line(GiNaC::ex p0, GiNaC::ex p1) -> GiNaC::ex"""
    return _SyFi.barycenter_line(*args)

def barycenter_triangle(*args):
    """barycenter_triangle(GiNaC::ex p0, GiNaC::ex p1, GiNaC::ex p2) -> GiNaC::ex"""
    return _SyFi.barycenter_triangle(*args)

def barycenter_tetrahedron(*args):
    """barycenter_tetrahedron(GiNaC::ex p0, GiNaC::ex p1, GiNaC::ex p2, GiNaC::ex p3) -> GiNaC::ex"""
    return _SyFi.barycenter_tetrahedron(*args)

def bernstein(*args):
    """bernstein(int order, Polygon p, string a) -> GiNaC::ex"""
    return _SyFi.bernstein(*args)

def bernsteinv(*args):
    """bernsteinv(int order, Polygon p, string a) -> GiNaC::lst"""
    return _SyFi.bernsteinv(*args)
class FE(_object):
    """Proxy of C++ FE class"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, FE, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, FE, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<%s.%s; proxy of C++ FE instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __del__(self, destroy=_SyFi.delete_FE):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """set(self, Polygon p)"""
        return _SyFi.FE_set(*args)

    def getPolygon(*args): 
        """getPolygon(self) -> Polygon"""
        return _SyFi.FE_getPolygon(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.FE_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.FE_dof(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.FE_nbf(*args)


class FEPtr(FE):
    def __init__(self, this):
        _swig_setattr(self, FE, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, FE, 'thisown', 0)
        _swig_setattr(self, FE,self.__class__,FE)
_SyFi.FE_swigregister(FEPtr)

def bezier_ordinates(*args):
    """
    bezier_ordinates(Triangle triangle, int d) -> GiNaC::lst
    bezier_ordinates(Tetrahedron tetrahedra, int d) -> GiNaC::lst
    """
    return _SyFi.bezier_ordinates(*args)

def normal(*args):
    """
    normal(Triangle ??, int i) -> GiNaC::lst
    normal(Tetrahedron ??, int i) -> GiNaC::lst
    """
    return _SyFi.normal(*args)

class StandardFE(FE):
    """Proxy of C++ StandardFE class"""
    __swig_setmethods__ = {}
    for _s in [FE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, StandardFE, name, value)
    __swig_getmethods__ = {}
    for _s in [FE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, StandardFE, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ StandardFE instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["Ns"] = _SyFi.StandardFE_Ns_set
    __swig_getmethods__["Ns"] = _SyFi.StandardFE_Ns_get
    if _newclass:Ns = property(_SyFi.StandardFE_Ns_get, _SyFi.StandardFE_Ns_set)
    __swig_setmethods__["dofs"] = _SyFi.StandardFE_dofs_set
    __swig_getmethods__["dofs"] = _SyFi.StandardFE_dofs_get
    if _newclass:dofs = property(_SyFi.StandardFE_dofs_get, _SyFi.StandardFE_dofs_set)
    __swig_setmethods__["p"] = _SyFi.StandardFE_p_set
    __swig_getmethods__["p"] = _SyFi.StandardFE_p_get
    if _newclass:p = property(_SyFi.StandardFE_p_get, _SyFi.StandardFE_p_set)
    __swig_setmethods__["order"] = _SyFi.StandardFE_order_set
    __swig_getmethods__["order"] = _SyFi.StandardFE_order_get
    if _newclass:order = property(_SyFi.StandardFE_order_get, _SyFi.StandardFE_order_set)
    def __init__(self, *args):
        """__init__(self) -> StandardFE"""
        _swig_setattr(self, StandardFE, 'this', _SyFi.new_StandardFE(*args))
        _swig_setattr(self, StandardFE, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_StandardFE):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """
        set(self, int order)
        set(self, Polygon p)
        """
        return _SyFi.StandardFE_set(*args)

    def getPolygon(*args): 
        """getPolygon(self) -> Polygon"""
        return _SyFi.StandardFE_getPolygon(*args)

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.StandardFE_compute_basis_functions(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.StandardFE_nbf(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.StandardFE_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.StandardFE_dof(*args)


class StandardFEPtr(StandardFE):
    def __init__(self, this):
        _swig_setattr(self, StandardFE, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, StandardFE, 'thisown', 0)
        _swig_setattr(self, StandardFE,self.__class__,StandardFE)
_SyFi.StandardFE_swigregister(StandardFEPtr)

class LagrangeFE(StandardFE):
    """Proxy of C++ LagrangeFE class"""
    __swig_setmethods__ = {}
    for _s in [StandardFE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, LagrangeFE, name, value)
    __swig_getmethods__ = {}
    for _s in [StandardFE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, LagrangeFE, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ LagrangeFE instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> LagrangeFE"""
        _swig_setattr(self, LagrangeFE, 'this', _SyFi.new_LagrangeFE(*args))
        _swig_setattr(self, LagrangeFE, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_LagrangeFE):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """
        set(self, int order)
        set(self, Polygon p)
        """
        return _SyFi.LagrangeFE_set(*args)

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.LagrangeFE_compute_basis_functions(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.LagrangeFE_nbf(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.LagrangeFE_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.LagrangeFE_dof(*args)


class LagrangeFEPtr(LagrangeFE):
    def __init__(self, this):
        _swig_setattr(self, LagrangeFE, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, LagrangeFE, 'thisown', 0)
        _swig_setattr(self, LagrangeFE,self.__class__,LagrangeFE)
_SyFi.LagrangeFE_swigregister(LagrangeFEPtr)

class VectorLagrangeFE(StandardFE):
    """Proxy of C++ VectorLagrangeFE class"""
    __swig_setmethods__ = {}
    for _s in [StandardFE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, VectorLagrangeFE, name, value)
    __swig_getmethods__ = {}
    for _s in [StandardFE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, VectorLagrangeFE, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ VectorLagrangeFE instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> VectorLagrangeFE"""
        _swig_setattr(self, VectorLagrangeFE, 'this', _SyFi.new_VectorLagrangeFE(*args))
        _swig_setattr(self, VectorLagrangeFE, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_VectorLagrangeFE):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """
        set(self, int order)
        set(self, Polygon p)
        """
        return _SyFi.VectorLagrangeFE_set(*args)

    def set_size(*args): 
        """set_size(self, int size_)"""
        return _SyFi.VectorLagrangeFE_set_size(*args)

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.VectorLagrangeFE_compute_basis_functions(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.VectorLagrangeFE_nbf(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.VectorLagrangeFE_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.VectorLagrangeFE_dof(*args)


class VectorLagrangeFEPtr(VectorLagrangeFE):
    def __init__(self, this):
        _swig_setattr(self, VectorLagrangeFE, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, VectorLagrangeFE, 'thisown', 0)
        _swig_setattr(self, VectorLagrangeFE,self.__class__,VectorLagrangeFE)
_SyFi.VectorLagrangeFE_swigregister(VectorLagrangeFEPtr)

class Dof(_object):
    """Proxy of C++ Dof class"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Dof, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Dof, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Dof instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> Dof"""
        _swig_setattr(self, Dof, 'this', _SyFi.new_Dof(*args))
        _swig_setattr(self, Dof, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Dof):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def insert_dof(*args): 
        """insert_dof(self, int e, int i, GiNaC::ex Li) -> int"""
        return _SyFi.Dof_insert_dof(*args)

    def glob_dof(*args): 
        """
        glob_dof(self, int e, int i) -> int
        glob_dof(self, GiNaC::ex Lj) -> int
        glob_dof(self, int j) -> GiNaC::ex
        """
        return _SyFi.Dof_glob_dof(*args)

    def size(*args): 
        """size(self) -> int"""
        return _SyFi.Dof_size(*args)

    def glob2loc(*args): 
        """glob2loc(self, int j) -> vector<(pair<(int,int)>)>"""
        return _SyFi.Dof_glob2loc(*args)


class DofPtr(Dof):
    def __init__(self, this):
        _swig_setattr(self, Dof, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Dof, 'thisown', 0)
        _swig_setattr(self, Dof,self.__class__,Dof)
_SyFi.Dof_swigregister(DofPtr)

class CrouzeixRaviart(StandardFE):
    """Proxy of C++ CrouzeixRaviart class"""
    __swig_setmethods__ = {}
    for _s in [StandardFE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, CrouzeixRaviart, name, value)
    __swig_getmethods__ = {}
    for _s in [StandardFE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, CrouzeixRaviart, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ CrouzeixRaviart instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> CrouzeixRaviart"""
        _swig_setattr(self, CrouzeixRaviart, 'this', _SyFi.new_CrouzeixRaviart(*args))
        _swig_setattr(self, CrouzeixRaviart, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_CrouzeixRaviart):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """
        set(self, int order)
        set(self, Polygon p)
        """
        return _SyFi.CrouzeixRaviart_set(*args)

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.CrouzeixRaviart_compute_basis_functions(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.CrouzeixRaviart_nbf(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.CrouzeixRaviart_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.CrouzeixRaviart_dof(*args)


class CrouzeixRaviartPtr(CrouzeixRaviart):
    def __init__(self, this):
        _swig_setattr(self, CrouzeixRaviart, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, CrouzeixRaviart, 'thisown', 0)
        _swig_setattr(self, CrouzeixRaviart,self.__class__,CrouzeixRaviart)
_SyFi.CrouzeixRaviart_swigregister(CrouzeixRaviartPtr)

class VectorCrouzeixRaviart(StandardFE):
    """Proxy of C++ VectorCrouzeixRaviart class"""
    __swig_setmethods__ = {}
    for _s in [StandardFE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, VectorCrouzeixRaviart, name, value)
    __swig_getmethods__ = {}
    for _s in [StandardFE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, VectorCrouzeixRaviart, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ VectorCrouzeixRaviart instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> VectorCrouzeixRaviart"""
        _swig_setattr(self, VectorCrouzeixRaviart, 'this', _SyFi.new_VectorCrouzeixRaviart(*args))
        _swig_setattr(self, VectorCrouzeixRaviart, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_VectorCrouzeixRaviart):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def set(*args): 
        """
        set(self, int order)
        set(self, Polygon p)
        """
        return _SyFi.VectorCrouzeixRaviart_set(*args)

    def set_size(*args): 
        """set_size(self, int size_)"""
        return _SyFi.VectorCrouzeixRaviart_set_size(*args)

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.VectorCrouzeixRaviart_compute_basis_functions(*args)

    def nbf(*args): 
        """nbf(self) -> int"""
        return _SyFi.VectorCrouzeixRaviart_nbf(*args)

    def N(*args): 
        """N(self, int i) -> GiNaC::ex"""
        return _SyFi.VectorCrouzeixRaviart_N(*args)

    def dof(*args): 
        """dof(self, int i) -> GiNaC::ex"""
        return _SyFi.VectorCrouzeixRaviart_dof(*args)


class VectorCrouzeixRaviartPtr(VectorCrouzeixRaviart):
    def __init__(self, this):
        _swig_setattr(self, VectorCrouzeixRaviart, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, VectorCrouzeixRaviart, 'thisown', 0)
        _swig_setattr(self, VectorCrouzeixRaviart,self.__class__,VectorCrouzeixRaviart)
_SyFi.VectorCrouzeixRaviart_swigregister(VectorCrouzeixRaviartPtr)

class P0(StandardFE):
    """Proxy of C++ P0 class"""
    __swig_setmethods__ = {}
    for _s in [StandardFE]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, P0, name, value)
    __swig_getmethods__ = {}
    for _s in [StandardFE]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, P0, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ P0 instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self) -> P0"""
        _swig_setattr(self, P0, 'this', _SyFi.new_P0(*args))
        _swig_setattr(self, P0, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_P0):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def compute_basis_functions(*args): 
        """compute_basis_functions(self)"""
        return _SyFi.P0_compute_basis_functions(*args)


class P0Ptr(P0):
    def __init__(self, this):
        _swig_setattr(self, P0, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, P0, 'thisown', 0)
        _swig_setattr(self, P0,self.__class__,P0)
_SyFi.P0_swigregister(P0Ptr)


def compute_Poisson_element_matrix(*args):
    """compute_Poisson_element_matrix(FE fe, Dof dof, std::map<(std::pair<(int,int)>,GiNaC::ex)> A)"""
    return _SyFi.compute_Poisson_element_matrix(*args)

def compute_Stokes_element_matrix(*args):
    """compute_Stokes_element_matrix(FE v_fe, FE p_fe, Dof dof, std::map<(std::pair<(int,int)>,GiNaC::ex)> A)"""
    return _SyFi.compute_Stokes_element_matrix(*args)

def compute_mixed_Poisson_element_matrix(*args):
    """compute_mixed_Poisson_element_matrix(FE v_fe, FE p_fe, Dof dof, std::map<(std::pair<(int,int)>,GiNaC::ex)> A)"""
    return _SyFi.compute_mixed_Poisson_element_matrix(*args)
class Square(_object):
    """Proxy of C++ Square class"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Square, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Square, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ Square instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def __init__(self, *args):
        """__init__(self, GiNaC::ex x0, GiNaC::ex xn, int nx, int ny) -> Square"""
        _swig_setattr(self, Square, 'this', _SyFi.new_Square(*args))
        _swig_setattr(self, Square, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_Square):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass

    def no_of_triangles(*args): 
        """no_of_triangles(self) -> int"""
        return _SyFi.Square_no_of_triangles(*args)

    def no_of_boundary_nodes(*args): 
        """no_of_boundary_nodes(self) -> int"""
        return _SyFi.Square_no_of_boundary_nodes(*args)

    def triangle(*args): 
        """triangle(self, int i) -> Triangle"""
        return _SyFi.Square_triangle(*args)

    def boundary_node(*args): 
        """boundary_node(self, int i) -> GiNaC::ex"""
        return _SyFi.Square_boundary_node(*args)


class SquarePtr(Square):
    def __init__(self, this):
        _swig_setattr(self, Square, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, Square, 'thisown', 0)
        _swig_setattr(self, Square,self.__class__,Square)
_SyFi.Square_swigregister(SquarePtr)

def usage(*args):
    """
    usage(FE fe)
    usage(FE v_fe, FE p_fe)
    """
    return _SyFi.usage(*args)

class exvector(_object):
    """Proxy of C++ exvector class"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, exvector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, exvector, name)
    def __repr__(self):
        return "<%s.%s; proxy of C++ GiNaC::exvector instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    def append(*args): 
        """append(self, GiNaC::ex e)"""
        return _SyFi.exvector_append(*args)

    def __getitem__(*args): 
        """__getitem__(self, int i) -> GiNaC::ex"""
        return _SyFi.exvector___getitem__(*args)

    def __init__(self, *args):
        """__init__(self) -> exvector"""
        _swig_setattr(self, exvector, 'this', _SyFi.new_exvector(*args))
        _swig_setattr(self, exvector, 'thisown', 1)
    def __del__(self, destroy=_SyFi.delete_exvector):
        """__del__(self)"""
        try:
            if self.thisown: destroy(self)
        except: pass


class exvectorPtr(exvector):
    def __init__(self, this):
        _swig_setattr(self, exvector, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, exvector, 'thisown', 0)
        _swig_setattr(self, exvector,self.__class__,exvector)
_SyFi.exvector_swigregister(exvectorPtr)


