#ifndef SQUARE_IS_INCLUDED 
#define SQUARE_IS_INCLUDED 

#include <SyFi.h>


class Square {
  GiNaC::ex x0,xn; 
  int nx,ny; 
  public: 
  Square(GiNaC::ex x0, GiNaC::ex xn, int nx, int ny);
  ~Square() {}

  int no_of_triangles(); 
  int no_of_boundary_nodes();  
  Triangle triangle(int i); 
  GiNaC::ex boundary_node(int i); 
};

#endif

